ILMID(8)

NAME
ilmid - simple ILMI ATM address registration daemon

SYNOPSIS
ilmid [-d level] [-f] [-r]

DESCRIPTION
The ilmid utility is a HARP ATM daemon that performs the ILMI ATM address registration procedures with an ATM network switch. It is normally invoked at boot time from the ATM startup script.

For each ATM interface with a UNI signalling manager attached, ilmid will open an ILMI PVC (VPI = 0, VCI = 16) and register the interface's ATM address with the switch. As part of the address registration procedure, the ATM switch will notify the endsystem (local host) of the “network prefix” portion of the endsystem's ATM address and ilmid will notify the switch of the endsystem's “user part” of its address (typically the interface card MAC address).

OPTIONS

-d level
    Specify the debug level for optional protocol tracing. Messages are written to /var/log/ilmid.

-f  Causes ilmid to run in the foreground.

-r  Causes ilmid to issue a coldStart TRAP on all ATM interfaces it is able to open and exit.

NOTES
This daemon does not fully conform to the ATM Forum ILMI specifications. In particular, it does not make any queries of the network side to ensure that the ATM Address table is empty. It also does not implement any of the ATM Forum MIB that is specified as part of ILMI.

The ilmid utility will increment the debug level when it receives a SIGUSR1 signal and will decrement the debug level when it receives a SIGUSR2 signal.

SEE ALSO
The ATM Forum, for details on the ILMI protocols and address registration procedures.

COPYRIGHT
Copyright (c) 1994-1998, Network Computing Services, Inc.

AUTHORS
John Cavanaugh, Network Computing Services, Inc. Mike Spengler, Network Computing Services, Inc. Joseph Thomas, Network Computing Services, Inc.

ACKNOWLEDGMENTS
This software was developed with the support of the Defense Advanced Research Projects Agency (DARPA).

BUGS
Please report any bugs to <harp-bugs@magic.net>.